Subject: bug#6694: 24.0.50; mouse-yank-primary tries to yank a *buffer*

From: Chong Yidong <[email-masked]>
Date: Sat, 07 Aug 2010 15:57:29 -0400

> I click mouse-1 at the left of some text and then mouse-3 at the right
> of it, to select it (a Lisp symbol).  Then I try to yank it using
> `mouse-2':
>
> Debugger entered--Lisp error: (wrong-type-argument char-or-string-p #<buffer
> throw-x-at-pt.el>)

This should be fixed now; Emacs no longer uses this mechanism for
setting the primary.